
SELECT	COALESCE(SUM(me.valor * (POSITION(CAST('1' AS CHAR) IN CAST(tme.entrada_saida AS CHAR(1))) * 2 - 1)), 0) AS saldo_estoque_mes_atual
FROM	movimento_estoque AS me
	INNER JOIN tipo_movimento_estoque AS tme ON (tme.id_tipo_movimento_estoque = me.id_tipo_movimento_estoque)
	INNER JOIN local_estoque AS le ON (le.id_local_estoque = me.id_local_estoque)
WHERE	le.fornecimento_sob_demanda = 'N'
AND	me.id_empresa IN (:IdEmpresaMultSlc)
AND	me.data_movimento BETWEEN DATE_TRUNC('MONTH', CAST(:Data AS TIMESTAMP)) AND :Data